package gmodel

import (
	"gorm.io/gorm"
)

// ldap_user_group 用户权限分组表
type LdapUserGroup struct {
	GroupId *int64  `gorm:"default:0;" json:"group_id"`  //
	UserId  *string `gorm:"default:'0';" json:"user_id"` //
}
type LdapUserGroupModel struct {
	db   *gorm.DB
	name string
}

func NewLdapUserGroupModel(db *gorm.DB) *LdapUserGroupModel {
	return &LdapUserGroupModel{db: db, name: "ldap_user_group"}
}
