package config

import (
	"fusenapi/server/ldap-admin/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql    string
	Auth           types.Auth
	SourceRabbitMq string
	Ldap           struct {
		Host     string
		BindDN   string
		Password string
		BaseDN   string
	}
}
